Bug 487601 - Less memory available for OLPC latest built
Less memory available for OLPC latest built
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-02-26 17:05 EST by Greg DeKoenigsberg
Modified: 2011-08-24 15:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-24 15:38:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Drop some debug/exotic config options form the XO-1 kernel (8.03 KB, patch)
2010-02-22 19:39 EST, Bernie Innocenti
no flags Details | Diff

  None (edit)
Description Greg DeKoenigsberg 2009-02-26 17:05:10 EST
The dmesg here: http://dev.laptop.org/~cjb/656-dmesg
Memory: 235016k/243700k available

The dmesg here: http://dev.laptop.org/~cjb/rawhide-nand
Memory: 199384k/230196k available

Where did the extra memory go?
Comment 1 Jeremy Katz 2009-02-26 21:39:30 EST
Some of it just "general purpose kernel, more is built-in".  A lot more of it is likely to be that debugging is currently enabled.  The F10 2.6.29 kernels being built in koji have it disabled and should be easy to see if they look more in line.  If so, then after 2.6.29 final is out and we turn debug off, then it'll work itself out.
Comment 2 Bug Zapper 2009-06-09 07:40:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-16 04:49:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bernie Innocenti 2010-01-20 07:10:00 EST
This is still the case in build OS11 of F-11 for XO-1. The kernel is indeed being built with plenty of debug enabled, which also makes it slower.

I might look at building a new kernel and report back.
Comment 5 Bernie Innocenti 2010-01-26 16:09:56 EST
I've built a kernel with most debug disabled, but we're still missing plenty of memory:

  Memory: 206964k/228180k available

I will investigate further. Meanwhile, my streamlined kernel can be obtained from here:

  http://repo.paraguayeduca.org/xo1/i386/os/kernel-2.6.31_xo1-20100126.1446.1.olpc.c999f9c_DIRTY.i586.rpm
Comment 6 Bernie Innocenti 2010-02-01 16:57:59 EST
After shaving the kernel a little further:

  Memory: 298244k/228180k

We're still missing plenty of memory, though. I'm starting to believe that something has changed at the detection level, or in Open Firmware.

Ideas?
Comment 7 Bernie Innocenti 2010-02-22 19:37:55 EST
So far I couldn't find any more time to work on this.

Meanwhile, I'm attaching the patch for the olpc-2.6 kernel streamlines the configuration. It's been tested for a while, should be safe to merge.
Comment 8 Bernie Innocenti 2010-02-22 19:39:09 EST
Created attachment 395613 [details]
Drop some debug/exotic config options form the XO-1 kernel
Comment 10 Bug Zapper 2010-11-04 07:29:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bernie Innocenti 2010-11-04 10:21:54 EDT
Can someone please confirm that the bug is still present with recent kernels?

Note You need to log in before you can comment on or make changes to this bug.